Skip to main content
`Ctrl`+`K`

# SNESMSType

String with the name of a PETSc `SNESMS` method.

## Synopsis

    typedef const char *SNESMSType;
    #define SNESMSM62       "m62"
    #define SNESMSEULER     "euler"
    #define SNESMSJAMESON83 "jameson83"
    #define SNESMSVLTP11    "vltp11"
    #define SNESMSVLTP21    "vltp21"
    #define SNESMSVLTP31    "vltp31"
    #define SNESMSVLTP41    "vltp41"
    #define SNESMSVLTP51    "vltp51"
    #define SNESMSVLTP61    "vltp61"

## See Also

SNES: Nonlinear Solvers, `SNESMS`, `SNESMSGetType()`, `SNESMSSetType()`, `SNES`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages